# This file is the entry point to configure your own services.
# Files in the packages/ subdirectory configure your dependencies.

imports:
    - { resource: "@EmgmbhUserBundle/Resources/config/services.yml" }
    - { resource: "@EmgmbhMarketBundle/Resources/config/services.yml" }
    - { resource: "@EmgmbhReportBundle/Resources/config/services.yml" }
    - { resource: "@EmgmbhRecordBundle/Resources/config/services.yml" }
    - { resource: "@EmgmbhInvoiceBundle/Resources/config/services.yml" }
    - { resource: "@EmgmbhApiBundle/Resources/config/services.yml" }
    - { resource: "@EmgmbhServiceBundle/Resources/config/services.yml" }

# Put parameters here that don't need to change on each machine where the app is deployed
# https://symfony.com/doc/current/best_practices/configuration.html#application-related-configuration
parameters:
    pin_length: 4
    company_email: buero@emgmbh.com
    public_dir: '%kernel.project_dir%/public'
    tmp_uploads_directory: '%public_dir%/uploads'
    uploads_directory: '%public_dir%/uploads'
    documents_directory: '%uploads_directory%/documents'
    signatures_directory: '%public_dir%/signatures'
    documents_users_required:
        - 18
        - 19
    locale: de
    app.locales: en|de
    locale_supported: ['en','de']
    mailer_sender: postmaster@emgmbh.com
    app_version: '%env(MOBILE_APP_VERISON)%'
    google_api_key: '%env(GOOGLE_API_KEY)%'

services:
    _defaults:
        autowire: true      # Automatically injects dependencies in your services.
        autoconfigure: true # Automatically registers your services as commands, event subscribers, etc.
        public: false
        bind:
            $cache: '@cache.app'

    gedmo.listener.timestampable:
        class: Gedmo\Timestampable\TimestampableListener
        tags:
            - { name: doctrine.event_subscriber, connection: default }

    Emgmbh\:
        resource: '../src/Emgmbh/*/{Controller,Command}/*'
